var search_data = {"index":{"searchIndex":["evapotranspiration","conversion","fao","thornthwaite","validation","atm_pressure()","avp_from_rhmax()","avp_from_rhmean()","avp_from_rhmin_rhmax()","avp_from_tdew()","avp_from_tmin()","avp_from_twet_tdry()","celsius_to_kelvin()","check_day_hours()","check_doy()","check_latitude_rad()","check_sol_dec_rad()","check_sunset_hour_angle_rad()","cs_rad()","daily_mean_t()","daylight_hours()","deg_to_rad()","delta_svp()","energy_to_evap()","et_rad()","fao56_penman_monteith()","hargreaves()","inv_rel_dist_earth_sun()","kelvin_to_celsius()","kph_to_mps()","mean_svp()","monthly_mean_daylight_hours()","monthly_soil_heat_flux()","monthly_soil_heat_flux2()","net_in_sol_rad()","net_out_lw_rad()","net_rad()","psy_const()","psy_const_of_psychrometer()","rad_to_deg()","rh_from_avp_svp()","sol_dec()","sol_rad_from_sun_hours()","sol_rad_from_t()","sol_rad_island()","sunset_hour_angle()","svp_from_t()","thornthwaite()","wind_speed_2m()"],"longSearchIndex":["evapotranspiration","evapotranspiration::conversion","evapotranspiration::fao","evapotranspiration::thornthwaite","evapotranspiration::validation","evapotranspiration::fao::atm_pressure()","evapotranspiration::fao::avp_from_rhmax()","evapotranspiration::fao::avp_from_rhmean()","evapotranspiration::fao::avp_from_rhmin_rhmax()","evapotranspiration::fao::avp_from_tdew()","evapotranspiration::fao::avp_from_tmin()","evapotranspiration::fao::avp_from_twet_tdry()","evapotranspiration::conversion::celsius_to_kelvin()","evapotranspiration::validation::check_day_hours()","evapotranspiration::validation::check_doy()","evapotranspiration::validation::check_latitude_rad()","evapotranspiration::validation::check_sol_dec_rad()","evapotranspiration::validation::check_sunset_hour_angle_rad()","evapotranspiration::fao::cs_rad()","evapotranspiration::fao::daily_mean_t()","evapotranspiration::fao::daylight_hours()","evapotranspiration::conversion::deg_to_rad()","evapotranspiration::fao::delta_svp()","evapotranspiration::fao::energy_to_evap()","evapotranspiration::fao::et_rad()","evapotranspiration::fao::fao56_penman_monteith()","evapotranspiration::fao::hargreaves()","evapotranspiration::fao::inv_rel_dist_earth_sun()","evapotranspiration::conversion::kelvin_to_celsius()","evapotranspiration::conversion::kph_to_mps()","evapotranspiration::fao::mean_svp()","evapotranspiration::thornthwaite#monthly_mean_daylight_hours()","evapotranspiration::fao::monthly_soil_heat_flux()","evapotranspiration::fao::monthly_soil_heat_flux2()","evapotranspiration::fao::net_in_sol_rad()","evapotranspiration::fao::net_out_lw_rad()","evapotranspiration::fao::net_rad()","evapotranspiration::fao::psy_const()","evapotranspiration::fao::psy_const_of_psychrometer()","evapotranspiration::conversion::rad_to_deg()","evapotranspiration::fao::rh_from_avp_svp()","evapotranspiration::fao::sol_dec()","evapotranspiration::fao::sol_rad_from_sun_hours()","evapotranspiration::fao::sol_rad_from_t()","evapotranspiration::fao::sol_rad_island()","evapotranspiration::fao::sunset_hour_angle()","evapotranspiration::fao::svp_from_t()","evapotranspiration::thornthwaite#thornthwaite()","evapotranspiration::fao::wind_speed_2m()"],"info":[["Evapotranspiration","","Evapotranspiration.html","",""],["Evapotranspiration::Conversion","","Evapotranspiration/Conversion.html","",""],["Evapotranspiration::FAO","","Evapotranspiration/FAO.html","","<p>Methods for estimating reference evapotransporation (ETo) for a grass reference crop using the FAO-56 …\n"],["Evapotranspiration::Thornthwaite","","Evapotranspiration/Thornthwaite.html","","<p>Calculate potential evapotranspiration using the Thornthwaite (1948 method)\n<p>References\n<p>Thornthwaite CW …\n"],["Evapotranspiration::Validation","","Evapotranspiration/Validation.html","",""],["atm_pressure","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-atm_pressure","(altitude)","<p>Estimate atmospheric pressure from altitude.\n<p>Calculated using a simplification of the ideal gas law, assuming …\n"],["avp_from_rhmax","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_rhmax","(svp_tmin, rh_max)","<p>Estimate actual vapour pressure (<strong>ea</strong>) from saturation vapour pressure at daily minimum and maximum temperature, …\n"],["avp_from_rhmean","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_rhmean","(svp_tmin, svp_tmax, rh_mean)","<p>Estimate actual vapour pressure (*e*a) from saturation vapour pressure at daily minimum temperature and …\n"],["avp_from_rhmin_rhmax","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_rhmin_rhmax","(svp_tmin, svp_tmax, rh_min, rh_max)","<p>Estimate actual vapour pressure (<strong>ea</strong>) from saturation vapour pressure and relative humidity.\n<p>Based on  …\n"],["avp_from_tdew","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_tdew","(tdew)","<p>Estimate actual vapour pressure (<strong>ea</strong>) from dewpoint temperature.\n<p>Based on equation 14 in Allen et al (1998). …\n"],["avp_from_tmin","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_tmin","(tmin)","<p>Estimate actual vapour pressure (<strong>ea</strong>) from minimum temperature.\n<p>This method is to be used where humidity …\n"],["avp_from_twet_tdry","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-avp_from_twet_tdry","(twet, tdry, svp_twet, psy_const)","<p>Estimate actual vapour pressure (<strong>ea</strong>) from wet and dry bulb temperature.\n<p>Based on equation 15 in Allen …\n"],["celsius_to_kelvin","Evapotranspiration::Conversion","Evapotranspiration/Conversion.html#method-c-celsius_to_kelvin","(celsius)","<p>Convert temperature in degrees Celsius to degrees Kelvin\n<p>@param celsius [Float] Degrees Celsius @return …\n"],["check_day_hours","Evapotranspiration::Validation","Evapotranspiration/Validation.html#method-c-check_day_hours","(hours, arg_name)","<p>Check that <strong>hours</strong> is in the range 1 to 24\n"],["check_doy","Evapotranspiration::Validation","Evapotranspiration/Validation.html#method-c-check_doy","(doy)","<p>Check day of the year is valid\n"],["check_latitude_rad","Evapotranspiration::Validation","Evapotranspiration/Validation.html#method-c-check_latitude_rad","(latitude)",""],["check_sol_dec_rad","Evapotranspiration::Validation","Evapotranspiration/Validation.html#method-c-check_sol_dec_rad","(sd)","<p>Solar declination can vary between -23.5 and +23.5 degrees. See mypages.iit.edu/~maslanka/SolarGeo.pdf …\n"],["check_sunset_hour_angle_rad","Evapotranspiration::Validation","Evapotranspiration/Validation.html#method-c-check_sunset_hour_angle_rad","(sha)","<p>Sunset hour angle has the range 0 to 180 degrees. See mypages.iit.edu/~maslanka/SolarGeo.pdf\n"],["cs_rad","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-cs_rad","(altitude, et_rad)","<p>Estimate clear sky radiation from altitude and extraterrestrial radiation.\n<p>Based on equation 37 in Allen …\n"],["daily_mean_t","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-daily_mean_t","(tmin, tmax)","<p>Estimate mean daily temperature from the daily minimum and maximum temperatures.\n<p>@param tmin [Float]  …\n"],["daylight_hours","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-daylight_hours","(sha)","<p>Calculate daylight hours from sunset hour angle.\n<p>Based on FAO equation 34 in Allen et al (1998).\n<p>@param …\n"],["deg_to_rad","Evapotranspiration::Conversion","Evapotranspiration/Conversion.html#method-c-deg_to_rad","(degrees)","<p>Convert angular degrees to radians\n<p>@param degrees [Float] Value in degrees to be converted @return [Float] …\n"],["delta_svp","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-delta_svp","(t)","<p>Estimate the slope of the saturation vapour pressure curve at a given temperature.\n<p>Based on equation 13 …\n"],["energy_to_evap","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-energy_to_evap","(energy)","<p>Convert energy (e.g. radiation energy) in MJ m-2 day-1 to the equivalent evaporation, assuming a grass …\n"],["et_rad","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-et_rad","(latitude, sol_dec, sha, ird)","<p>Estimate daily extraterrestrial radiation (<strong>Ra</strong>, &#39;top of the atmosphere radiation&#39;).\n<p>Based on equation …\n"],["fao56_penman_monteith","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-fao56_penman_monteith","(net_rad, t, ws, svp, avp, delta_svp, psy, shf=0.0)","<p>Estimate reference evapotranspiration (ETo) from a hypothetical short grass reference surface using the …\n"],["hargreaves","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-hargreaves","(tmin, tmax, tmean, et_rad)","<p>Estimate reference evapotranspiration over grass (ETo) using the Hargreaves equation.\n<p>Generally, when …\n"],["inv_rel_dist_earth_sun","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-inv_rel_dist_earth_sun","(day_of_year)","<p>Calculate the inverse relative distance between earth and sun from day of the year.\n<p>Based on FAO equation …\n"],["kelvin_to_celsius","Evapotranspiration::Conversion","Evapotranspiration/Conversion.html#method-c-kelvin_to_celsius","(kelvin)","<p>Convert temperature in degrees Kelvin to degrees Celsius\n<p>@param kelvin [Float] Degrees Kelvin @return …\n"],["kph_to_mps","Evapotranspiration::Conversion","Evapotranspiration/Conversion.html#method-c-kph_to_mps","(kph)","<p>Convert km/hr to m/s\n<p>@param kph [Float] Kilometers per hour @return [Float] Meters per second\n"],["mean_svp","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-mean_svp","(tmin, tmax)","<p>Estimate mean saturation vapour pressure, <strong>es</strong> [kPa] from minimum and maximum temperature.\n<p>Based on equations …\n"],["monthly_mean_daylight_hours","Evapotranspiration::Thornthwaite","Evapotranspiration/Thornthwaite.html#method-i-monthly_mean_daylight_hours","(latitude, year=nil)","<p>Calculate mean daylight hours for each month of the year for a given latitude.\n<p>@param latitude [Float] …\n"],["monthly_soil_heat_flux","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-monthly_soil_heat_flux","(t_month_prev, t_month_next)","<p>Estimate monthly soil heat flux (Gmonth) from the mean air temperature of the previous and next month, …\n"],["monthly_soil_heat_flux2","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-monthly_soil_heat_flux2","(t_month_prev, t_month_cur)","<p>Estimate monthly soil heat flux (Gmonth) from the mean air temperature of the previous and next month, …\n"],["net_in_sol_rad","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-net_in_sol_rad","(sol_rad, albedo=0.23)","<p>Calculate net incoming solar (or shortwave) radiation from gross incoming solar radiation, assuming a …\n"],["net_out_lw_rad","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-net_out_lw_rad","(tmin, tmax, sol_rad, cs_rad, avp)","<p>Estimate net outgoing longwave radiation.\n<p>This is the net longwave energy (net energy flux) leaving the …\n"],["net_rad","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-net_rad","(ni_sw_rad, no_lw_rad)","<p>Calculate daily net radiation at the crop surface, assuming a grass reference crop.\n<p>Net radiation is the …\n"],["psy_const","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-psy_const","(atmos_pres)","<p>Calculate the psychrometric constant.\n<p>This method assumes that the air is saturated with water vapour …\n"],["psy_const_of_psychrometer","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-psy_const_of_psychrometer","(psychrometer, atmos_pres)","<p>Calculate the psychrometric constant for different types of psychrometer at a given atmospheric pressure. …\n"],["rad_to_deg","Evapotranspiration::Conversion","Evapotranspiration/Conversion.html#method-c-rad_to_deg","(radians)","<p>Convert radians to angular degrees\n<p>@param radians [Float] Value in radians to be converted @return [Float] …\n"],["rh_from_avp_svp","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-rh_from_avp_svp","(avp, svp)","<p>Calculate relative humidity as the ratio of actual vapour pressure to saturation vapour pressure at the …\n"],["sol_dec","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-sol_dec","(day_of_year)","<p>Calculate solar declination from day of the year.\n<p>Based on FAO equation 24 in Allen et al (1998).\n<p>@param …\n"],["sol_rad_from_sun_hours","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-sol_rad_from_sun_hours","(daylight_hours, sunshine_hours, et_rad)","<p>Calculate incoming solar (or shortwave) radiation, <strong>Rs</strong> (radiation hitting a horizontal plane after scattering …\n"],["sol_rad_from_t","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-sol_rad_from_t","(et_rad, cs_rad, tmin, tmax, coastal)","<p>Estimate incoming solar (or shortwave) radiation, <strong>Rs</strong>, (radiation hitting a horizontal plane after scattering …\n"],["sol_rad_island","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-sol_rad_island","(et_rad)","<p>Estimate incoming solar (or shortwave) radiation, <strong>Rs</strong> (radiation hitting a horizontal plane after scattering …\n"],["sunset_hour_angle","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-sunset_hour_angle","(latitude, sol_dec)","<p>Calculate sunset hour angle (<strong>Ws</strong>) from latitude and solar declination.\n<p>Based on FAO equation 25 in Allen …\n"],["svp_from_t","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-svp_from_t","(t)","<p>Estimate saturation vapour pressure (<strong>es</strong>) from air temperature.\n<p>Based on equations 11 and 12 in Allen et …\n"],["thornthwaite","Evapotranspiration::Thornthwaite","Evapotranspiration/Thornthwaite.html#method-i-thornthwaite","(monthly_t, monthly_mean_dlh, year=nil)","<p>Estimate monthly potential evapotranspiration (PET) using the Thornthwaite (1948) method.\n<p>Thornthwaite …\n"],["wind_speed_2m","Evapotranspiration::FAO","Evapotranspiration/FAO.html#method-c-wind_speed_2m","(ws, z)","<p>Convert wind speed measured at different heights above the soil surface to wind speed at 2 m above the …\n"]]}}